#ifndef MODSLIDER_H
#define MODSLIDER_H

#include <stdio.h>
#include <stdlib.h>
#include <QtGui/QSlider>
#include "model.h"

class ModSlider : public QSlider
{
  Q_OBJECT

  private:
   Model *model;
   double modValue[MAX_POLY];

  public:
    ModSlider(Model *p_model, Qt::Orientation orientation, QWidget* parent=0);
    ~ModSlider();
    double getValue(int voiceIndex);
    double getModValue(int voiceIndex);
    double getModValue();
    void setModValue(int voiceIndex, double p_value);
    void setModValue(double p_value);
    void setValues(int voiceIndex, double p_modValue, int p_value);
    void setValues(double p_modValue, int p_value);
};
  
#endif
